/**
 * Created by following the React Navigation docs.
 * @see https://reactnavigation.org/docs/custom-navigators/
 */
import * as React from 'react';
import { TabNavigationState } from '@react-navigation/core';
import { ImageSource } from '@nativescript/core';
declare type TabNavigationOptions = {
    title?: string;
    /**
     * The source of the image to use for the tab's icon.
     * If src is also provided, imageSource will take priority.
     * @see src
     * @see https://docs.nativescript.org/ui/image-resources
     * @see https://docs.nativescript.org/ns-framework-modules/image-source#load-image-using-resource-name
     */
    imageSource?: ImageSource;
    /**
     * The source of the image to use for the tab's icon.
     * If imageSource is also provided, this property will be ignored.
     * @example "res://home_icon" (where the icon file is called "home_icon.png")
     * @see imageSource
     * @see https://docs.nativescript.org/ui/image-resources
     */
    src?: string;
};
declare const _default: <ParamList extends Record<string, object>>() => import("@react-navigation/core").TypedNavigator<ParamList, TabNavigationState, TabNavigationOptions, Record<string, {
    data?: any;
    canPreventDefault?: boolean;
}>, React.ComponentType<any>>;
export default _default;
